import {Complex} from './type.js'
import {Dependency} from '../core/Dispatcher.js'

export const equal = <T>(dep: Dependency<'equal', [T,T]>) =>
   (w: Complex<T>, z: Complex<T>) =>
   dep.equal(w.re, z.re) && dep.equal(w.im, z.im)
